> For a complete page index, fetch https://developer.close.com/llms.txt

# Map a Shared Scheduling Link

POST https://api.close.com/api/v1/shared_scheduling_link_association/
Content-Type: application/json

Map a Shared Scheduling Link to either a User Scheduling Link or a URL.

See the examples below for both mapping options.

Reference: https://developer.close.com/api/resources/scheduling-links/create-shared-association

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /shared_scheduling_link_association/:
    post:
      operationId: create-shared-association
      summary: Map a Shared Scheduling Link
      description: |-
        Map a Shared Scheduling Link to either a User Scheduling Link or a URL.

        See the examples below for both mapping options.
      tags:
        - subpackage_schedulingLinks
      parameters:
        - name: Authorization
          in: header
          description: Use your API key as the username and leave the password empty.
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/scheduling_links_createSharedAssociation_Response_201
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    scheduling_links_createSharedAssociation_Response_201:
      type: object
      properties: {}
      description: Empty response body
      title: scheduling_links_createSharedAssociation_Response_201
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
      description: Use your API key as the username and leave the password empty.
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python mapToUrl
import requests

url = "https://api.close.com/api/v1/shared_scheduling_link_association/"

payload = {
    "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
    "shared_scheduling_link_id": "schlnk_5VhB72iVnX3NAn3XJ0o9Ph",
    "url": "example.com",
    "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript mapToUrl
const url = 'https://api.close.com/api/v1/shared_scheduling_link_association/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'POST',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"organization_id":"orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH","shared_scheduling_link_id":"schlnk_5VhB72iVnX3NAn3XJ0o9Ph","url":"example.com","user_id":"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go mapToUrl
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/shared_scheduling_link_association/"

	payload := strings.NewReader("{\n  \"organization_id\": \"orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH\",\n  \"shared_scheduling_link_id\": \"schlnk_5VhB72iVnX3NAn3XJ0o9Ph\",\n  \"url\": \"example.com\",\n  \"user_id\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby mapToUrl
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/shared_scheduling_link_association/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"organization_id\": \"orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH\",\n  \"shared_scheduling_link_id\": \"schlnk_5VhB72iVnX3NAn3XJ0o9Ph\",\n  \"url\": \"example.com\",\n  \"user_id\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n}"

response = http.request(request)
puts response.read_body
```

```java mapToUrl
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.close.com/api/v1/shared_scheduling_link_association/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"organization_id\": \"orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH\",\n  \"shared_scheduling_link_id\": \"schlnk_5VhB72iVnX3NAn3XJ0o9Ph\",\n  \"url\": \"example.com\",\n  \"user_id\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n}")
  .asString();
```

```php mapToUrl
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.close.com/api/v1/shared_scheduling_link_association/', [
  'body' => '{
  "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "shared_scheduling_link_id": "schlnk_5VhB72iVnX3NAn3XJ0o9Ph",
  "url": "example.com",
  "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp mapToUrl
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/shared_scheduling_link_association/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"organization_id\": \"orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH\",\n  \"shared_scheduling_link_id\": \"schlnk_5VhB72iVnX3NAn3XJ0o9Ph\",\n  \"url\": \"example.com\",\n  \"user_id\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```python mapToUserSchedulingLink
import requests

url = "https://api.close.com/api/v1/shared_scheduling_link_association/"

payload = {
    "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
    "shared_scheduling_link_id": "schlnk_5VhB72iVnX3NAn3XJ0o9Ph",
    "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
    "user_scheduling_link_id": "schlnk_6m84x0gYn3eSSRJg8sfSQX"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript mapToUserSchedulingLink
const url = 'https://api.close.com/api/v1/shared_scheduling_link_association/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'POST',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"organization_id":"orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH","shared_scheduling_link_id":"schlnk_5VhB72iVnX3NAn3XJ0o9Ph","user_id":"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA","user_scheduling_link_id":"schlnk_6m84x0gYn3eSSRJg8sfSQX"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go mapToUserSchedulingLink
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/shared_scheduling_link_association/"

	payload := strings.NewReader("{\n  \"organization_id\": \"orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH\",\n  \"shared_scheduling_link_id\": \"schlnk_5VhB72iVnX3NAn3XJ0o9Ph\",\n  \"user_id\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\",\n  \"user_scheduling_link_id\": \"schlnk_6m84x0gYn3eSSRJg8sfSQX\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby mapToUserSchedulingLink
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/shared_scheduling_link_association/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"organization_id\": \"orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH\",\n  \"shared_scheduling_link_id\": \"schlnk_5VhB72iVnX3NAn3XJ0o9Ph\",\n  \"user_id\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\",\n  \"user_scheduling_link_id\": \"schlnk_6m84x0gYn3eSSRJg8sfSQX\"\n}"

response = http.request(request)
puts response.read_body
```

```java mapToUserSchedulingLink
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.close.com/api/v1/shared_scheduling_link_association/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"organization_id\": \"orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH\",\n  \"shared_scheduling_link_id\": \"schlnk_5VhB72iVnX3NAn3XJ0o9Ph\",\n  \"user_id\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\",\n  \"user_scheduling_link_id\": \"schlnk_6m84x0gYn3eSSRJg8sfSQX\"\n}")
  .asString();
```

```php mapToUserSchedulingLink
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.close.com/api/v1/shared_scheduling_link_association/', [
  'body' => '{
  "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "shared_scheduling_link_id": "schlnk_5VhB72iVnX3NAn3XJ0o9Ph",
  "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "user_scheduling_link_id": "schlnk_6m84x0gYn3eSSRJg8sfSQX"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp mapToUserSchedulingLink
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/shared_scheduling_link_association/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"organization_id\": \"orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH\",\n  \"shared_scheduling_link_id\": \"schlnk_5VhB72iVnX3NAn3XJ0o9Ph\",\n  \"user_id\": \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\",\n  \"user_scheduling_link_id\": \"schlnk_6m84x0gYn3eSSRJg8sfSQX\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```